//
// ONVIFCameraSupportedStreamEncoder.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct ONVIFCameraSupportedStreamEncoder: Codable {

    public var name: String
    public var supportedResolutions: [ONVIFCameraSupportedStreamResolution]
    public var framerateRange: ONVIFCameraSettingsRange
    public var bitrateRange: ONVIFCameraSettingsRange
    public var govLengthRange: ONVIFCameraSettingsRange?

    public init(name: String, supportedResolutions: [ONVIFCameraSupportedStreamResolution], framerateRange: ONVIFCameraSettingsRange, bitrateRange: ONVIFCameraSettingsRange, govLengthRange: ONVIFCameraSettingsRange? = nil) {
        self.name = name
        self.supportedResolutions = supportedResolutions
        self.framerateRange = framerateRange
        self.bitrateRange = bitrateRange
        self.govLengthRange = govLengthRange
    }

    public enum CodingKeys: String, CodingKey { 
        case name
        case supportedResolutions = "supported_resolutions"
        case framerateRange = "framerate_range"
        case bitrateRange = "bitrate_range"
        case govLengthRange = "gov_length_range"
    }

}
